Skip to main content
POST
/
v2
/
customers
/
{customerId}
/
workflowEvents
Trigger Customer Workflow Event
curl --request POST \
  --url https://api.jtl-cloud.com/erp/v2/customers/{customerId}/workflowEvents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '{
  "id": 123
}'
{
  "errorCode": "<string>",
  "validationErrors": {},
  "errors": {},
  "errorMessage": "<string>",
  "stacktrace": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

customerId
string<uuid>
required

The id of the customer for that the manual workflow event should be started. Represents a unique key for identifying a customer in the JTL system.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Body

application/json

The workflow event.

Model Class: CreateWorkflowEvent

id
integer<int32>

ID of the workflow event

Response